package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFID8 extends MwfRequest<MWFID8, MWFID8Response> {

    @Parameter(name = "APP_KEY")
    MWFID8 appKey(Long appKey);
    @Parameter(name = "CIF")
    MWFID8 cif(String cif);
    @Parameter(name = "ConsultantId")
    MWFID8 consultantId(String consultantId);
    @Parameter(name = "Context")
    MWFID8 context(String context);
    @Parameter(name = "Discount_TP")
    MWFID8 discountTP(String discountTP);
    @Parameter(name = "INST_PT_KEY")
    MWFID8 instPtKey(Long instPtKey);
    @Parameter(name = "SPECIAL_CODE_ID")
    MWFID8 specialCodeId(String specialCodeId);
    @Parameter(name = "UserRole")
    MWFID8 userRole(String userRole);
    @Parameter(name = "User_SSO")
    MWFID8 userSSO(String userSSO);
}
